### Variables

variable "aws_region" {
  description = "https://docs.aws.amazon.com/AWSEC2/latest/UserGuide/using-regions-availability-zones.html"
  default = "us-west-2" # Oregon
}

variable "app_root_url" {
  description = "Name of the S3 bucket to store deployed artifacts, logs, etc."
  default = "forms.hopefamilyfellowship.com"
}

variable "cloudfront_certificate_arn" {
  description = "Name of the certificate to use for CloudFront distributions (must be in us-east-1)."
  default = "arn:aws:acm:us-east-1:063932952339:certificate/8e4b4a05-d61e-49af-b7e9-8e59999f197a"
}

variable "api_certificate_arn" {
  description = "Name of the certificate to use for the API load balancer (must be in the same region as the loadbalancer)."
  default = "arn:aws:acm:us-west-2:063932952339:certificate/04c33fd7-a6b0-4f58-8e8a-fddbe361aa85"
}
